require 'slugify'
require 'sec/firms/version'
require 'sec/firms/helpers'
require 'sec/firms/configuration'
require 'sec/firms/downloader'
require 'sec/firms/xml_parser'
require 'sec/firms/firm_entry_parser'
require 'sec/firms/firm_parser'
require 'sec/firms/lists'

module Sec
  module Firms
    class << self
      attr_writer :configuration
    end

    def self.configuration
      @configuration ||= Configuration.new
    end

    def self.configure
      yield(configuration)
    end
  end
end
