module Sec
  module Firms
    module Helpers
      def self.transform_hash(original, options = {}, &block)
        original.inject({}) do |result, (key, value)|
          value = if (options[:deep] && Hash === value)
                    transform_hash(value, options, &block)
                  else
                    value
                  end
          block.call(result, key, value)
          result
        end
      end
    end
  end
end
